const system = require("../../../system");
const settings = require("../../../../config/settings");
const uiconfig = system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("tmdelivery", {
    uapp_id: DataTypes.INTEGER,//
    deliveryOrderNo: DataTypes.STRING(64),//交付订单号
    channelUserId: DataTypes.STRING(64),//渠道用户ID
    channelServiceNo: DataTypes.STRING(64),//渠道服务单号
    channelOrderNo: DataTypes.STRING(1024),//渠道订单号列表，多个以,隔开
    needNo: DataTypes.STRING(64),//需求单号（渠道过来的订单号，如阿里、1688过来的单号）
    tmName: DataTypes.STRING(1000),//商标名称  
    tmType: {
      type: DataTypes.ENUM,
      values: Object.keys(uiconfig.config.pdict.tm_type),
    },//p:普通商标,j:集体商标,z:证明商标,t:特殊商标
    tmFormTypeName: DataTypes.STRING(50),//
    tmFormType: {
      type: DataTypes.ENUM,
      values: Object.keys(uiconfig.config.pdict.tm_form_type),
      set: function (val) {
        this.setDataValue("tmFormType", val);
        this.setDataValue("tmFormTypeName", uiconfig.config.pdict.tm_form_type[val]);
      }
    },//商标类型形式：1:立体,3:字,4:图,5:字图,6:颜色,7:彩色
    nclOneCodes: DataTypes.STRING,//尼斯大类列表：格式以,隔开
    payStatusName: DataTypes.STRING(50),//
    payStatus: {
      type: DataTypes.ENUM,
      values: Object.keys(uiconfig.config.pdict.order_service_pay_status),
      set: function (val) {
        this.setDataValue("payStatus", val);
        this.setDataValue("payStatusName", uiconfig.config.pdict.order_service_pay_status[val]);
      }
    },//支付状态:dfk:待付款,yzf:已支付
    payTime              :DataTypes.DATE,//  渠道有支付时间则用渠道的支付时间
    deliveryStatusName: DataTypes.STRING(50),//
    deliveryStatus: {
      type: DataTypes.ENUM,
      values: Object.keys(uiconfig.config.pdict.delivery_status),
      set: function (val) {
        this.setDataValue("deliveryStatus", val);
        this.setDataValue("deliveryStatusName", uiconfig.config.pdict.delivery_status[val]);
      }
    },//商标交付状态：dsccl: 待上传材料,dqrfa:待确认方案,fabtg:方案不通过, dsh: 待审核, ddj: 待递交, ydj: 已递交, ywc: 已完成
    submitTime              :DataTypes.DATE,//  递交时间
    appDataOpType: {
      type: DataTypes.ENUM,
      values: Object.keys(uiconfig.config.pdict.app_data_op_type),
    },//应用数据操作类型：00独立，10全委托，20部分委托
    picUrl: DataTypes.STRING(500),         //商标图样
    colorizedPicUrl: DataTypes.STRING(500),//商标彩色图样
    gzwtsUrl: DataTypes.STRING(500),       //盖章委托书
    sywjUrl: DataTypes.STRING(500),        //声音文件
    smwjUrl: DataTypes.STRING(500),        //说明文件  
    notes: DataTypes.STRING(255),//备注
    createuser_id: DataTypes.INTEGER,//
    updateuser_id: DataTypes.INTEGER,//
    auditor_id: DataTypes.INTEGER,//
    createuser: DataTypes.STRING(100),//
    updateuser: DataTypes.STRING(100),//
    auditoruser: DataTypes.STRING(100),//   
    nclOneCount: DataTypes.INTEGER,        // 尼斯大类数量
    nclCount: DataTypes.INTEGER,        // 尼斯数量
    nclPublicExpense :DataTypes.DECIMAL(12, 2),  // 尼斯官费总额  
  }, {
      paranoid: false,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      timestamps: true,
      updatedAt: false,
      //freezeTableName: true,
      // define the table's name
      tableName: 'tm_delivery',
      validate: {

      },
      indexes: [
      ]
    });
}
